# attributes

abstract fun attributes(attributes: Map<String, out Any>): Manifest

Adds content to the main attributes of the manifest.

#### Return

this

#### Parameters

attributes

The values to add to the main attributes. The values can be any object. For evaluating the value objects their toString method is used. This is done lazily either before writing or when getEffectiveManifest is called.

#### Throws

ManifestException

If a key is invalid according to the manifest spec or if a key or value is null.

abstract fun attributes(attributes: Map<String, out Any>, sectionName: String): Manifest

Adds content to the given section of the manifest.

#### Return

this

#### Parameters

attributes

The values to add to the section. The values can be any object. For evaluating the value objects their toString method is used. This is done lazily either before writing or when getEffectiveManifest is called.

sectionName

The name of the section

#### Throws

ManifestException

If a key is invalid according to the manifest spec or if a key or value is null.